# Ogre::SceneManager::LightClippingInfo Struct Reference

Struct for cacheing light clipping information for re-use in a frame. More...

`#include <OgreSceneManager.h>`

List of all members.

## Public Member Functions

| LightClippingInfo ()

## Public Attributes

RealRect | scissorRect
PlaneList | clipPlanes
bool | scissorValid
unsigned long | clipPlanesValid

## Detailed Description

Struct for cacheing light clipping information for re-use in a frame.

Definition at line 725 of file OgreSceneManager.h.

## Constructor & Destructor Documentation

Ogre::SceneManager::LightClippingInfo::LightClippingInfo | ( |  | ) |

Definition at line 731 of file OgreSceneManager.h.

## Member Data Documentation

PlaneList Ogre::SceneManager::LightClippingInfo::clipPlanes

Definition at line 728 of file OgreSceneManager.h.

unsigned long Ogre::SceneManager::LightClippingInfo::clipPlanesValid

Definition at line 730 of file OgreSceneManager.h.

RealRect Ogre::SceneManager::LightClippingInfo::scissorRect

Definition at line 727 of file OgreSceneManager.h.

bool Ogre::SceneManager::LightClippingInfo::scissorValid

Definition at line 729 of file OgreSceneManager.h.

The documentation for this struct was generated from the following file:

- OgreSceneManager.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:17